Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`iweb`.`IAgentEndpointFactory``

interface documentation

`class IAgentEndpointFactory(Interface): (source)`

Known implementations: `twisted.web.client._StandardEndpointFactory`

View In Hierarchy

An `IAgentEndpointFactory` provides a way of constructing an endpoint used for outgoing Agent requests. This is useful in the case of needing to proxy outgoing connections, or to otherwise vary the transport used.

Present Since
15.0

Method | `endpointForURI` | Construct and return an `IStreamClientEndpoint` for the outgoing request's connection.

def endpointForURI(uri): (source)

Construct and return an `IStreamClientEndpoint` for the outgoing request's connection.

Parameters
uri:`twisted.web.client.URI` | The URI of the request.
Returns
an `IStreamClientEndpoint` provider | An endpoint which will have its `connect` method called to issue the request.
Raises
`twisted.internet.error.SchemeNotSupported` | If the given URI's scheme cannot be handled by this factory.